Bug 610861 (CVE-2010-2491) - CVE-2010-2491 roundup: XSS by processing PageTemplate template for a named page
Summary: CVE-2010-2491 roundup: XSS by processing PageTemplate template for a named page
Status: CLOSED NEXTRELEASE
Alias: CVE-2010-2491
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100701,reported=20100701,sou...
Keywords: Security
Depends On: 610867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 15:57 UTC by Jan Lieskovsky
Modified: 2016-03-04 10:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 17:51:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-07-02 15:57:01 UTC
A deficiency was found in the way Roundup, simple and flexible issue-tracking
system, processed PageTemplate templates for named pages. A remote attacker
could use this flaw to conduct cross-site scripting (XSS) attacks by tricking
a local, authenticated user into visiting a specially-crafted web page.

References:
  [1] http://bugs.gentoo.org/show_bug.cgi?id=326395

Upstream changeset:
  [2] http://roundup.svn.sourceforge.net/viewvc/roundup?view=revision&revision=4486

CVE Request:
  [3] http://www.openwall.com/lists/oss-security/2010/07/02/3

Comment 1 Jan Lieskovsky 2010-07-02 16:02:56 UTC
This issue affects the versions of the roundup package, as shipped
with Fedora releases of 12 and 13.

This issue affects the versions of the roundup package, as present
within EPEL-4 and EPEL-5 repositories.

Please fix.

Comment 2 Jan Lieskovsky 2010-07-02 16:03:55 UTC
Created roundup tracking bugs for this issue

Affects: fedora-all [bug 610867]

Comment 3 Fedora Update System 2010-07-09 05:54:48 UTC
roundup-1.4.13-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2010-07-09 05:56:50 UTC
roundup-1.4.13-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2010-08-01 16:41:27 UTC
The CVE identifier of CVE-2010-2491 has been assigned to this:
(http://www.openwall.com/lists/oss-security/2010/07/02/12)


Note You need to log in before you can comment on or make changes to this bug.